import 'package:flutter/foundation.dart';
import 'media_info.dart';

/// Result of a successful load operation. Contains media meta data and playback
/// related information.
class LoadResult {
  final MediaInfo mediaInfo;
  final bool isPlaying;

  const LoadResult({@required this.mediaInfo, @required this.isPlaying}):
      assert(mediaInfo != null), assert(isPlaying != null);
}