import 'package:flutter/foundation.dart';

/// Video related information.
class MediaInfo {
  final String mediaId;
  final MediaInfoType type;
  final String title;
  final String description;
  final Duration duration;

  const MediaInfo({@required this.mediaId, @required this.type, @required this.title,
    @required this.description, @required this.duration}):
      assert(mediaId != null), assert(type != null), assert(duration != null);
}

enum MediaInfoType {
  streaming,
  offline
}